
Redmine - Patch #832

Allow sorting issues by fixed version

2008-03-11 20:59 - Marc Horowitz

Status: Closed Start date: 2008-03-11

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 0.7   

Description

This (one line) patch allows sorting issues by the fixed version, using the effective_date as the sort value.  This patch was taken

against 0.6.3.  I tested that it applies to the trunk (with fuzz).  I have not tested if it works, but it looks like it should.

Associated revisions

Revision 1264 - 2008-03-16 16:04 - Jean-Philippe Lang

Allow issue list to be sorted by target version (#832).

History

#1 - 2008-03-16 16:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7

- % Done changed from 0 to 100

Committed in r1264. Default order set to DESC since we may want to see more recent versions first.

Thanks.

#2 - 2008-03-16 19:15 - Marc Horowitz

Hmm, interesting.  I guess if you're looking at closed issues for past releases, you might want to look at more recent versions first.  However, using

the field as target version for open issues (which is how I'll use it), I want to see the imminent releases first, then the ones which are further in the

future, which would be ASC order.

This isn't a huge deal, since it's only a second click change the sort order, but I would think looking at work to do would be more common than looking

at work already done.

In any case, thanks for the quick commit!
